org.eclipse.incquery.runtime.rete.recipes.impl

## Class ExpressionEnforcerRecipeImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.incquery.runtime.rete.recipes.impl.ReteNodeRecipeImpl
          - - org.eclipse.incquery.runtime.rete.recipes.impl.SingleParentNodeRecipeImpl
            - - org.eclipse.incquery.runtime.rete.recipes.impl.AlphaRecipeImpl
              - - org.eclipse.incquery.runtime.rete.recipes.impl.ExpressionEnforcerRecipeImpl

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, AlphaRecipe, ExpressionEnforcerRecipe, ReteNodeRecipe, SingleParentNodeRecipe
  Direct Known Subclasses:
    CheckRecipeImpl, EvalRecipeImpl

      public abstract class ExpressionEnforcerRecipeImpl
      extends AlphaRecipeImpl
      implements ExpressionEnforcerRecipe

  An implementation of the model object 'Expression Enforcer Recipe'.

  The following features are implemented:

  - `Expression`
  - `Mapped Indices`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.NotificationChain` | `basicSetExpression(ExpressionDefinition newExpression, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, java.lang.Object newValue)`
    `void` | `eUnset(int featureID)`
    `ExpressionDefinition` | `getExpression()`
    `org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.Integer>` | `getMappedIndices()`
    `void` | `setExpression(ExpressionDefinition newExpression)`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.recipes.impl.SingleParentNodeRecipeImpl

      `basicGetParent, getParent, setParent`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.recipes.impl.ReteNodeRecipeImpl

      `eInvoke, getArity, getTraceInfo, setTraceInfo, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.recipes.SingleParentNodeRecipe

      `getParent, setParent`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.recipes.ReteNodeRecipe

      `getArity, getTraceInfo, setTraceInfo`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### getExpression

          public ExpressionDefinition getExpression()

      Specified by:
        `getExpression` in interface `ExpressionEnforcerRecipe`
      Returns:
        the value of the 'Expression' containment reference.
      See Also:
        `ExpressionEnforcerRecipe.setExpression(ExpressionDefinition)`, `RecipesPackage.getExpressionEnforcerRecipe_Expression()`

    - #### basicSetExpression

          public org.eclipse.emf.common.notify.NotificationChain basicSetExpression(ExpressionDefinition newExpression,
                                                                                    org.eclipse.emf.common.notify.NotificationChain msgs)

    - #### setExpression

          public void setExpression(ExpressionDefinition newExpression)

      Specified by:
        `setExpression` in interface `ExpressionEnforcerRecipe`
      Parameters:
        `newExpression` - the new value of the 'Expression' containment reference.
      See Also:
        `ExpressionEnforcerRecipe.getExpression()`

    - #### getMappedIndices

          public org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.Integer> getMappedIndices()

      Specified by:
        `getMappedIndices` in interface `ExpressionEnforcerRecipe`
      Returns:
        the value of the 'Mapped Indices' map.
      See Also:
        `RecipesPackage.getExpressionEnforcerRecipe_MappedIndices()`

    - #### eInverseRemove

          public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                                int featureID,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### eGet

          public java.lang.Object eGet(int featureID,
                                       boolean resolve,
                                       boolean coreType)

      Specified by:
        `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eGet` in class `SingleParentNodeRecipeImpl`

    - #### eSet

          public void eSet(int featureID,
                           java.lang.Object newValue)

      Specified by:
        `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eSet` in class `SingleParentNodeRecipeImpl`

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eUnset` in class `SingleParentNodeRecipeImpl`

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eIsSet` in class `SingleParentNodeRecipeImpl`